/*
 * Globals
 */

/* Links */
a,
a:focus,
a:hover {
  color: #fff;
}

/* Custom default button */
.btn-secondary,
.btn-secondary:hover,
.btn-secondary:focus {
  color: #333;
  text-shadow: none; /* Prevent inheritance from `body` */
  background-color: #fff;
  border: .05rem solid #fff;
}


/*
 * Base structure
 */

html,
body {
  height: auto;
  min-height: 100vh;
  background-color: #333;
}

body {
  display: -ms-flexbox;
  display: -webkit-box;
  display: flex;
  flex-flow: column;
  -ms-flex-pack: center;
  -webkit-box-pack: center;
  justify-content: center;
  color: #fff;
  text-shadow: 0 .05rem .1rem rgba(0, 0, 0, .5);
  box-shadow: inset 0 0 5rem rgba(0, 0, 0, .5);
}

body > div {
  flex-grow: 1;
}

img.img-fluid {
  margin-bottom: 1rem;
}

.question, .answer {
  font-weight: 300;
  font-style: italic;
}

.question {
  color: #71f7fc;
}
.answer {
  color: #ef5166;
}

table {
  border-spacing: 0;
  border-collapse: collapse;
  width: 100%;
  margin: 1rem 0;
}

table, table th {
  text-align: center;
  border: 1px solid #c6c6c6;
}


/*
 * Header
 */

.navbar-brand {
  margin-right: auto;
}

.nav-link {
  padding: .25rem 0;
  font-weight: 700;
  color: rgba(255, 255, 255, .5);
  background-color: transparent;
  border-bottom: .25rem solid transparent;
}

.nav-link:hover,
.nav-link:focus {
  border-bottom-color: rgba(255, 255, 255, .25);
}

.nav-link + .nav-link {
  margin-left: 1rem;
}

.active {
  color: #fff;
  border-bottom-color: #fff;
}

/*
 * Cover
 */
.cover {
  padding: 3rem 1.5rem 0;
}
.cover .btn-lg {
  padding: .75rem 1.25rem;
  font-weight: 700;
}


/*
 * Footer
 */
.mastfoot {
  color: rgba(255, 255, 255, .5);
}
